package com.ruoyi.cs.mapper;

import java.util.List;
import com.ruoyi.cs.domain.CsRenewalRecord;

/**
 * 续期记录Mapper接口
 * 
 * @author ruoyi
 * @date 2024-05-29
 */
public interface CsRenewalRecordMapper 
{
    /**
     * 查询续期记录
     * 
     * @param renewalRecordId 续期记录主键
     * @return 续期记录
     */
    public CsRenewalRecord selectCsRenewalRecordByRenewalRecordId(String renewalRecordId);

    /**
     * 查询续期记录列表
     * 
     * @param csRenewalRecord 续期记录
     * @return 续期记录集合
     */
    public List<CsRenewalRecord> selectCsRenewalRecordList(CsRenewalRecord csRenewalRecord);

    /**
     * 新增续期记录
     * 
     * @param csRenewalRecord 续期记录
     * @return 结果
     */
    public int insertCsRenewalRecord(CsRenewalRecord csRenewalRecord);

    /**
     * 修改续期记录
     * 
     * @param csRenewalRecord 续期记录
     * @return 结果
     */
    public int updateCsRenewalRecord(CsRenewalRecord csRenewalRecord);

    /**
     * 删除续期记录
     * 
     * @param renewalRecordId 续期记录主键
     * @return 结果
     */
    public int deleteCsRenewalRecordByRenewalRecordId(String renewalRecordId);

    /**
     * 批量删除续期记录
     * 
     * @param renewalRecordIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCsRenewalRecordByRenewalRecordIds(String[] renewalRecordIds);

    /**
     * 查询到期的续期记录列表
     *
     * @return
     */
    List<CsRenewalRecord> searchRenewalRecordList();

}
